
/*
======================================================================================
Funktion:        init() toggleItem()
Beschreibung:    Erzeugt für alle Expendable Elemente die nötigen OnClick Events
				 und verknüpft mit toogelItem()
Parameter:        -
				  
Returnwert:       object
Ersterstellung:   /2015 - RThe
Letzte Änderung:  -
======================================================================================
*/

 var divExpandableElementItems = new Array();


 function init() {

      // Grab the accordion items from the page
      var divs = document.getElementsByTagName( 'div' );
      for ( var i = 0; i < divs.length; i++ ) {
        if ( divs[i].className == 'divExpandableElement' )
        { divExpandableElementItems.push( divs[i] );

         divs[i].style.borderBottom="1px solid #cccccc";
          

        }
        
       
      }



      // Assign onclick events to the accordion item headings
      for ( var i = 0; i < divExpandableElementItems.length; i++ ) {
        var h2 = getFirstChildWithTagName( divExpandableElementItems[i], 'H2' );
        h2.onclick = toggleItem;
        
        
        // div auf header setzten
        

 
var div = document.createElement("div");
div.style.width = "650px";
div.style.height = "30px";
div.style.marginTop = "-25px";  
div.style.background='transparent';
 h2.appendChild(div);

       
    
           
      }



      // Hide all accordion item bodies except the first
      for ( var i = 1; i < divExpandableElementItems.length; i++ ) {
      
      
    
        divExpandableElementItems[i].className = 'divExpandableElement hide';


      }
    }

 function toggleItem() {
      var itemClass = this.parentNode.className;
  
      // Hide all items
      for ( var i = 0; i < divExpandableElementItems.length; i++ ) {
     
        divExpandableElementItems[i].className = 'divExpandableElement hide';  
      }

      // Show this item if it was previously hidden
      if ( itemClass == 'divExpandableElement hide' ) {
        this.parentNode.className = 'divExpandableElement';
    
 this.parentNode.style.borderBottom="1px solid #cccccc";

this.parentNode.scrollIntoView();

      }

    }

function getFirstChildWithTagName( element, tagName ) {
      for ( var i = 0; i < element.childNodes.length; i++ ) {
        if ( element.childNodes[i].nodeName == tagName ) return element.childNodes[i];
      }
    }

/*
======================================================================================
Funktion:        getStyle
Beschreibung:    Liefert das im Namen angegebene Style-Element

Parameter:        object, string
				  
Returnwert:       object
Ersterstellung:   /2014 - RThe
Letzte Änderung:  -
======================================================================================
*/


function getStyle(elem, name) {

    if (elem.style[name]) 
    {
        return elem.style[name];
    } 
    else if (elem.currentStyle) 
    {
        return elem.currentStyle[name];
    }
    else if (document.defaultView && document.defaultView.getComputedStyle) 
    {
        name = name.replace(/([A-Z])/g, "-$1");
        name = name.toLowerCase();
        s = document.defaultView.getComputedStyle(elem, "");
        return s && s.getPropertyValue(name);
    } 
    else 
    {
        return null;
    }
}



/*
======================================================================================
Funktion:        GetAddOns
Beschreibung:    Ermittelt alle als AddOn auf der Seite enthaltenen Links, Blendet den Fiv Block aus und liefert die Links als Variable
Parameter:        object
				  
Returnwert:       -
Ersterstellung:   /2015 - RThe
Letzte Änderung:  -
======================================================================================
*/




function GetAddOns() {


 var divAddOnArticleItems = new Array();
       // Grab the accordion items from the page
      var divs = document.getElementsByTagName( 'div' );
      for ( var i = 0; i < divs.length; i++ ) 
      {      
          if ( divs[i].className == 'AddOnArticles' ) 
          {             
 			divs[i].style.display ="none"                   
            var AddONS = divs[i].getElementsByTagName( 'a' );                 
 			for ( var j = 0; j < AddONS.length; j++ ) 
			{
			   if ( AddONS[j].className == 'jumper' ) divAddOnArticleItems.push( AddONS[j] );
             }
          }
      }


return divAddOnArticleItems ;

     
}




/*
======================================================================================
Funktion:        CreateAddOns
Beschreibung:    Ermittelt alle als AddOn auf der Seite enthaltenen Links, Blendet den Fiv Block aus und liefert die Links als Variable
Parameter:        object
				  
Returnwert:       -
Ersterstellung:   /2015 - RThe
Letzte Änderung:  -
======================================================================================
*/


function CreateAddOns(addOns) 
{

	if(addOns.length >0)
	{
	
	// Header im Footer ermitteln

 	var trs = document.getElementsByTagName( 'tr' );
    for ( var i = 0; i < trs.length; i++ ) {
        if ( trs[i].className == 'AddOnArea' )
        {
           // Überschrift einschalten
           
           	trs[i].style.display ="block"


           break;  
        }
    }
    
    
	// Schreibposition im Footer ermitteln

 	var tds = document.getElementsByTagName( 'td' );
      for ( var i = 0; i < tds.length; i++ ) {
        if ( tds[i].className == 'AddOnList' )
        {		
			// Alle AddOns einschreiben
			for ( var j = 0; j < addOns.length; j++ ) 
			{
			
			href = addOns[j].href;
			Name = addOns[j].innerHTML;

			tds[i].appendChild(CreateLink(Name ,href ));
			}
			
		break;      
		}		

		}        
       
      }
      else
      {
      // Keine AddOns verfügbar     
      
      // Header im Footer ermitteln

    var trs = document.getElementsByTagName( 'tr' );
    for ( var i = 0; i < trs.length; i++ ) {
    if ( trs[i].className == 'AddOnArea' )
        {
           // Überschrift einschalten           
          
     		trs[i].style.display ="none"

           break;  
        }
       }
      }
}

function CreateLink(title, ref)
{

var a = document.createElement('a');
var linkText = document.createTextNode(title);
a.appendChild(linkText);
a.title = title;
a.href = ref;

return a;
}



/*
======================================================================================
Funktion:        resizeIframe
Beschreibung:    Setzt die IFrame Höhe auf Basis des IFrame Inhalt - Alles Auf Parent Ebene

Parameter:        object
				  
Returnwert:       -
Ersterstellung:   /2014 - RThe
Letzte Änderung:  -
======================================================================================
*/


 function resizeIframe(obj) 
 {

 document.getElementById(obj).height=  "10px";

 var newheight;
   if(document.getElementById(obj))
   {
        newheight=document.getElementById(obj).contentWindow.document.body.scrollHeight;
   }

   document.getElementById(obj).height= (newheight) + "px";
  
}


/*
======================================================================================
Funktion:        resizeParentIframe
Beschreibung:    Setzt die IFrame Höhe auf Basis des IFrame Inhalt -Hier wird vom
				 IFram content im Iframe parent Window gesucht

Parameter:        object
				  
Returnwert:       Neue Höhe des Elements
Ersterstellung:   /2014 - RThe
Letzte Änderung:  -
======================================================================================
*/

 function resizeParentIframe(id) 
 {

   window.parent.document.getElementById(id).height=  "10px";  
   var newheight = window.parent.document.getElementById(id).contentWindow.document.body.scrollHeight; 
   window.parent.document.getElementById(id).height= (newheight) + "px";
   return newheight;
}


/*
======================================================================================
Funktion:        Check_FooterDivBlock
Beschreibung:    Berechnet die Größe des Footers und setzt die entsprchende Höhe im IFrame und allen
				 CSS Eigenschaften.

				  
Returnwert:      -
Ersterstellung:   /2015 - RThe
Letzte Änderung:  -
======================================================================================
*/


function Check_FooterDivBlock()
{

	var newheight = resizeParentIframe("footerStack");
	
	// Jetzt die Größen für FooterArea und die Positionierung korrigieren
	
	
	var footerarea = window.parent.document.getElementById("footerarea")
	
	footerarea.height ="10px";
	footerarea.style.marginTop="-10px";
	footerarea.height = (newheight) + "px";
	footerarea.style.marginTop = "-" + (newheight) + "px";
	
	
	var contentrarea = window.parent.document.getElementById("contentarea")
	
	contentrarea.style.paddingBottom ="10px";
	contentrarea.style.paddingBottom =  (newheight) + "px";


}


/*
======================================================================================
Funktion:        Toggle_FooterDivBlock
Beschreibung:    Toggelt den Footer-Bereich
                 
Parameter:        object,object,object

				  
Returnwert:      -
Ersterstellung:   /2015 - RThe
Letzte Änderung:  -
======================================================================================
*/


function Toggle_FooterDivBlock(InF_Source_ID, InF_Source_ID_Icon_Open , InF_Source_ID_Icon_Close)
{

	Toggle_DivBlock(InF_Source_ID, InF_Source_ID_Icon_Open , InF_Source_ID_Icon_Close);
	Check_FooterDivBlock()	// Neue Größe richtig Darstellen
	
	window.parent.scrollTo(0, window.parent.document.body.scrollHeight);

}



/*
======================================================================================
Funktion:        Toggle_MenuDivBlock
Beschreibung:    Öffnen eines spezifischen DIV Blocks incl. OPEN / Close Grafiken
                 und Neuberechnung der iFrame höhe - wird für Navigationsmenü benötigt.
Parameter:        object,object,object

				  
Returnwert:      object,object,object
Ersterstellung:   /2014 - RThe
Letzte Änderung:  -
======================================================================================
*/


function Toggle_MenuDivBlock(InF_Source_ID, InF_Source_ID_Icon_Open , InF_Source_ID_Icon_Close)
{

	Toggle_DivBlock(InF_Source_ID, InF_Source_ID_Icon_Open , InF_Source_ID_Icon_Close);
	resizeParentIframe("menuStack");

 	return true;

}

/*
======================================================================================
Funktion:        Toggle_DivBlock
Beschreibung:    Öffnen eines spezifischen DIV Blocks incl. OPEN / Close Grafiken

Parameter:        string
				  
Returnwert:       string
Ersterstellung:   /2014 - RThe
Letzte Änderung:  -
======================================================================================
*/

function LoadLastStyle(InF_Source_ID, InF_Source_ID_Icon_Open , InF_Source_ID_Icon_Close)
{
	var style =getSwitchCookie(InF_Source_ID);
	Set_DivBlock(InF_Source_ID, InF_Source_ID_Icon_Open , InF_Source_ID_Icon_Close,style);
}

/*
======================================================================================
Funktion:        Toggle_DivBlock
Beschreibung:    Öffnen eines spezifischen DIV Blocks incl. OPEN / Close Grafiken

Parameter:        string
				  
Returnwert:       string
Ersterstellung:   /2014 - RThe
Letzte Änderung:  -
======================================================================================
*/

function LoadClosedStyle(InF_Source_ID, InF_Source_ID_Icon_Open , InF_Source_ID_Icon_Close)
{
	
	Set_DivBlock(InF_Source_ID, InF_Source_ID_Icon_Open , InF_Source_ID_Icon_Close,"none");
}

/*
======================================================================================
Funktion:        Toggle_DivBlock
Beschreibung:    Öffnen eines spezifischen DIV Blocks incl. OPEN / Close Grafiken

Parameter:        object,object,object

				  
Returnwert:       true
Ersterstellung:   /2014 - RThe
Letzte Änderung:  -
======================================================================================
*/


function Toggle_DivBlock(InF_Source_ID, InF_Source_ID_Icon_Open , InF_Source_ID_Icon_Close)
{

	
// Ein / Ausblenden eines Div-Blocks

 var InF_Source_ID_Copy = InF_Source_ID;
  


 var InF_Object=document.getElementById(InF_Source_ID);																			// Setzen des Objektes
 var InF_ObjectIconOpen = document.getElementById(InF_Source_ID_Icon_Open);
 var InF_ObjectIconClose = document.getElementById(InF_Source_ID_Icon_Close);
 
  


 if(!InF_Object)return true;
 if(InF_Object.style.display=="none")
 	{																															// Einblenden der entsprechenden ID
 	 InF_Object.style.display="block"
  	InF_ObjectIconOpen.style.display ="block"
  	InF_ObjectIconClose.style.display ="none"

	} 
 else 
 	{
  InF_Object.style.display="none"																								// Ausblenden der entsprechenden ID
    InF_ObjectIconOpen.style.display ="none"
    InF_ObjectIconClose.style.display ="block"

   }
   
   
   /* Abspeichern der letzten Einstellung */
   
   setSwitchCookie(InF_Object.style.display, InF_Source_ID);
 
 return true; 

}


/*
======================================================================================
Funktion:        Set_DivBlock
Beschreibung:    Öffnen eines spezifischen DIV Blocks incl. OPEN / Close Grafiken

Parameter:        -
				  
Returnwert:       string
Ersterstellung:   /2014 - RThe
Letzte Änderung:  -
======================================================================================
*/


function Set_DivBlock(InF_Source_ID, InF_Source_ID_Icon_Open , InF_Source_ID_Icon_Close,style)
{

	
// Ein / Ausblenden eines Div-Blocks

 var InF_Source_ID_Copy = InF_Source_ID;
  


 var InF_Object=document.getElementById(InF_Source_ID);																			// Setzen des Objektes
 var InF_ObjectIconOpen = document.getElementById(InF_Source_ID_Icon_Open);
 var InF_ObjectIconClose = document.getElementById(InF_Source_ID_Icon_Close);
 
  


 if(!InF_Object)return true;
 if(style=="block")
 	{																															// Einblenden der entsprechenden ID
 	 InF_Object.style.display="block"
  	 InF_ObjectIconOpen.style.display ="block"
  	 InF_ObjectIconClose.style.display ="none"

	} 
 else 
 	{
    InF_Object.style.display="none"																								// Ausblenden der entsprechenden ID
    InF_ObjectIconOpen.style.display ="none"
    InF_ObjectIconClose.style.display ="block"

   }
   
   
   /* Abspeichern der letzten Einstellung */
   
   setSwitchCookie(InF_Object.style.display, InF_Source_ID);
 
 return true; 

}

/*
======================================================================================
Funktion:         setSwitchCookie()
in Datei:         help.js
Beschreibung:     Diese Funktion lerzeugt eine Cookie 

Parameter:        - v = Cookie - Speicherwert, -obj für Obejtk
Returnwert:       -
Ersterstellung:   /2014 - RThe
Letzte Änderung:  -
======================================================================================
*/
function setSwitchCookie(v,obj)
{

var jetzt = new Date(); // benötigt für die cookie-Verfallszeit. Gesetzt auf ein Jahr!
var Verfall = 356 * 24 * 60 * 60 * 1000;
var Auszeit = new Date(jetzt.getTime() + Verfall); // Die cookie Verfallszeit in Millisekunden. Danach wird cookie gelöscht von Browser
var cook = "content" + obj + "=" + v + ";" + " expires=" + Auszeit.toGMTString() + ";";

document.cookie = cook;
}


/*
======================================================================================
Funktion:         getSwitchCookie()
in Datei:         help.js
Beschreibung:     Diese Funktion ließt eine Cookie und gibt den Inhalt zurück.
Gelesen wird nur der Wert des Parameter content

Parameter:        -
Returnwert:       - content value
Ersterstellung:   /2014 - RThe
Letzte Änderung:  -
======================================================================================
*/
function getSwitchCookie(obj)
{
var i=0  //Suchposition im Cookie
var suche ="content" + obj + "=" ;
	while (i<document.cookie.length)
	{
		if (document.cookie.substring(i, i+suche.length)==suche)
		{
			var ende = document.cookie.indexOf(";", i+suche.length)
			ende = (ende>-1) ? ende : document.cookie.length
			var cook = document.cookie.substring(i+suche.length, ende)
			return unescape(cook)
		}
		i++
	}
}


function PrintWindowContent()
{
	window.focus(); //Damit nur der Inhalt der content Seite gedruckt wird
	window.print();
}



/*
======================================================================================
Funktion:         setFavoritecookie()
in Datei:         help.js
Beschreibung:     Diese Funktion ließt die URL und den Titel der aktuellen content Seite
und Schreibt den Inhalt in ein Cookie. Hierzu wird aus dem cookie die Variable lastposition gelesen,
welche ein Ringzähler ist, der von 1 bis zehn reicht. Inhalt und URL werden dann auf die folgende Position geschrieben
Favorit1 ... Favorit10 und Titel1 .. Titel10.

Parameter:        -
Returnwert:       -
Ersterstellung:   /2014 - RThe
Letzte Änderung:  -
======================================================================================
*/
function setFavoritecookie()
{
var Seite // URL der Seite, die gespeichert werden soll.
var Titel // Titel der Seite, die gespeichert werden soll.
var lastposition = "11" // Ringzähler 1..10
var i=0  //Suchposition im Cookie
var jetzt = new Date(); // benötigt für die cookie-Verfallszeit. Gesetzt auf ein Jahr!
var Verfall = 356 * 24 * 60 * 60 * 1000;
var Auszeit = new Date(jetzt.getTime() + Verfall); // Die cookie Verfallszeit in Millisekunden. Danach wird cookie gelöscht von Browser


var cook		//Letzte geschrieben Position wird ausgelesen 1..10 möglich, 11 wenn nocht nicht genutzt.
var suche = "lastposition="
while (i<document.cookie.length)
{
	if (document.cookie.substring(i, i+suche.length)==suche)
	{
		var ende = document.cookie.indexOf(";", i+suche.length)
		ende = (ende>-1) ? ende : document.cookie.length
		lastposition= document.cookie.substring(i+suche.length, ende) // Hier wird der letzte Zählerstand gespeichert in lastposition
	}
	i++
}
Seite = document.URL;  // URL der Content Seite wird gelesen
Titel = document.title; // Titel der Content Seite wird gelesen
Seite = decodeURI(Seite);    // Decodieren auf reine ASCII zeichen



// Überprüfung, der Favorit bereits besteht ...

var FavoritAlreadyExists = false;
i=0;
while (i<document.cookie.length)
{

	var substringFavoritName = document.cookie.substring(i, i+9);
	
	if ((substringFavoritName =="Favorit1=") ||
	    (substringFavoritName =="Favorit2=")||
		(substringFavoritName =="Favorit3=")||
		(substringFavoritName =="Favorit4=")||
		(substringFavoritName =="Favorit5=")||
		(substringFavoritName =="Favorit6=")||
		(substringFavoritName =="Favorit7=")||
		(substringFavoritName =="Favorit8=")||
		(substringFavoritName =="Favorit9="))
	{

		ende = document.cookie.indexOf(";", i+9)
		ende = (ende>-1) ? ende : document.cookie.length
		var FavoritName= document.cookie.substring(i+9, ende)// Inhalt des Suchstrings
	
		if(FavoritName == Seite )
		{
		FavoritAlreadyExists = true;
		break;
		}
			
	}
	i++;
}


if(FavoritAlreadyExists ){ return;}




while (i<document.cookie.length)
{
	if (document.cookie.substring(i, i+suche.length)==suche)
	{
		var ende = document.cookie.indexOf(";", i+suche.length)
		ende = (ende>-1) ? ende : document.cookie.length
		lastposition= document.cookie.substring(i+suche.length, ende) // Hier wird der letzte Zählerstand gespeichert in lastposition
	}
	i++
}





switch(lastposition) {
case "1":
cook = "Favorit2=" + Seite + ";" + " expires=" + Auszeit.toGMTString() + ";";  // Schreiben der URL ins Cookie
document.cookie = cook;
cook = "lastposition=" + "2" + ";" + " expires=" + Auszeit.toGMTString() + ";";// Setzten des Zugriffszähler im Cookie
document.cookie = cook;
cook = "Titel2=" + Titel + ";" + " expires=" + Auszeit.toGMTString() + ";"; // Speichern des Titels im Cookie
document.cookie = cook;
break;

case "2":
cook = "Favorit3=" + Seite + ";" + " expires=" + Auszeit.toGMTString() + ";";
document.cookie = cook;
cook = "lastposition=" + "3" + ";" + " expires=" + Auszeit.toGMTString() + ";";
document.cookie = cook;
cook = "Titel3=" + Titel + ";" + " expires=" + Auszeit.toGMTString() + ";";
document.cookie = cook;
break;

case "3":
cook = "Favorit4=" + Seite + ";" + " expires=" + Auszeit.toGMTString() + ";";
document.cookie = cook;
cook = "lastposition=" + "4" + ";" + " expires=" + Auszeit.toGMTString() + ";";
document.cookie = cook;
cook = "Titel4=" + Titel + ";" + " expires=" + Auszeit.toGMTString() + ";";
document.cookie = cook;
break;

case "4":
cook = "Favorit5=" + Seite + ";" + " expires=" + Auszeit.toGMTString() + ";";
document.cookie = cook;
cook = "lastposition=" + "5" + ";" + " expires=" + Auszeit.toGMTString() + ";";
document.cookie = cook;
cook = "Titel5=" + Titel + ";" + " expires=" + Auszeit.toGMTString() + ";";
document.cookie = cook;
break;

case "5":
cook = "Favorit6=" + Seite + ";" + " expires=" + Auszeit.toGMTString() + ";";
document.cookie = cook;
cook = "lastposition=" + "6" + ";" + " expires=" + Auszeit.toGMTString() + ";";
document.cookie = cook;
cook = "Titel6=" + Titel + ";" + " expires=" + Auszeit.toGMTString() + ";";
document.cookie = cook;
break;

case "6":
cook = "Favorit7=" + Seite + ";" + " expires=" + Auszeit.toGMTString() + ";";
document.cookie = cook;
cook = "lastposition=" + "7" + ";" + " expires=" + Auszeit.toGMTString() + ";";
document.cookie = cook;
cook = "Titel7=" + Titel + ";" + " expires=" + Auszeit.toGMTString() + ";";
document.cookie = cook;
break;

case "7":
cook = "Favorit8=" + Seite + ";" + " expires=" + Auszeit.toGMTString() + ";";
document.cookie = cook;
cook = "lastposition=" + "8" + ";" + " expires=" + Auszeit.toGMTString() + ";";
document.cookie = cook;
cook = "Titel8=" + Titel + ";" + " expires=" + Auszeit.toGMTString() + ";";
document.cookie = cook;
break;

case "8":
cook = "Favorit9=" + Seite + ";" + " expires=" + Auszeit.toGMTString() + ";";
document.cookie = cook;
cook = "lastposition=" + "9" + ";" + " expires=" + Auszeit.toGMTString() + ";";
document.cookie = cook;
cook = "Titel9=" + Titel + ";" + " expires=" + Auszeit.toGMTString() + ";";
document.cookie = cook;
break;

case "9":
cook = "Favorit1=" + Seite + ";" + " expires=" + Auszeit.toGMTString() + ";";
document.cookie = cook;
cook = "lastposition=" + "1" + ";" + " expires=" + Auszeit.toGMTString() + ";";
document.cookie = cook;
cook = "Titel1=" + Titel + ";" + " expires=" + Auszeit.toGMTString() + ";";
document.cookie = cook;
break;


default:	// Wenn keine gültiger lastposition Eintrag vorhanden ist (erstmaliger Funktionsaufruf), wird automatisch der erste Favorit benützt
cook = "Favorit1=" + Seite + ";" + " expires=" + Auszeit.toGMTString() + ";";
document.cookie = cook;
cook = "lastposition=" + "1" + ";" + " expires=" + Auszeit.toGMTString() + ";";
document.cookie = cook;
cook = "Titel1=" + Titel + ";" + " expires=" + Auszeit.toGMTString() + ";";
document.cookie = cook;

}

/* Abfragen des aktuellen Display Style für das Navigation Menu */



IFrameReload("menuStack");


}




function getAllFavoriteCookies()
{

/*
======================================================================================
Funktion:         getFavoritecookie(number)
in Datei:         help.js
Beschreibung:     Liefert die Links zu allen Favoriten
Returnwert:       -
Ersterstellung:   /2015 - RThe
Letzte Änderung:  -
======================================================================================
*/

var i=0  //Suchposition im Cookie
var Favorit1 =""
var Titel1 =""
var Favorit2 =""
var Titel2 =""
var Favorit3 =""
var Titel3 =""
var Favorit4 =""
var Titel4 =""
var Favorit5 =""
var Titel5 =""
var Favorit6 =""
var Titel6 =""
var Favorit7 =""
var Titel7 =""
var Favorit8 =""
var Titel8 =""
var Favorit9 =""
var Titel9 =""

var ende


sucheF1 = "Favorit1="  //Suchstring
sucheT1 = "Titel1="


sucheF2 = "Favorit2="  //Suchstring
sucheT2 = "Titel2="



sucheF3 = "Favorit3="  //Suchstring
sucheT3 = "Titel3="

sucheF4 = "Favorit4="  //Suchstring
sucheT4 = "Titel4="

sucheF5 = "Favorit5="  //Suchstring
sucheT5 = "Titel5="

sucheF6 = "Favorit6="  //Suchstring
sucheT6 = "Titel6="

sucheF7 = "Favorit7="  //Suchstring
sucheT7 = "Titel7="

sucheF8 = "Favorit8="  //Suchstring
sucheT8 = "Titel8="

sucheF9 = "Favorit9="  //Suchstring
sucheT9 = "Titel9="




while (i<document.cookie.length)
{

	var substringFavoritName = document.cookie.substring(i, i+9);
	
	if (substringFavoritName ==sucheF1)
	{
		ende = document.cookie.indexOf(";", i+9)
		ende = (ende>-1) ? ende : document.cookie.length
		Favorit1= document.cookie.substring(i+9, ende)// Inhalt des Suchstrings
	}
	if (substringFavoritName ==sucheF2)
	{
		ende = document.cookie.indexOf(";", i+9)
		ende = (ende>-1) ? ende : document.cookie.length
		Favorit2= document.cookie.substring(i+9, ende)// Inhalt des Suchstrings
	}
	if (substringFavoritName ==sucheF3)
	{
		ende = document.cookie.indexOf(";", i+9)
		ende = (ende>-1) ? ende : document.cookie.length
		Favorit3= document.cookie.substring(i+9, ende)// Inhalt des Suchstrings
	}
	if (substringFavoritName ==sucheF4)
	{
		ende = document.cookie.indexOf(";", i+9)
		ende = (ende>-1) ? ende : document.cookie.length
		Favorit4= document.cookie.substring(i+9, ende)// Inhalt des Suchstrings
	}
	if (substringFavoritName ==sucheF5)
	{
		ende = document.cookie.indexOf(";", i+9)
		ende = (ende>-1) ? ende : document.cookie.length
		Favorit5= document.cookie.substring(i+9, ende)// Inhalt des Suchstrings
	}
	if (substringFavoritName ==sucheF6)
	{
		ende = document.cookie.indexOf(";", i+9)
		ende = (ende>-1) ? ende : document.cookie.length
		Favorit6= document.cookie.substring(i+9, ende)// Inhalt des Suchstrings
	}
	if (substringFavoritName ==sucheF7)
	{
		ende = document.cookie.indexOf(";", i+9)
		ende = (ende>-1) ? ende : document.cookie.length
		Favorit7= document.cookie.substring(i+9, ende)// Inhalt des Suchstrings
	}
	if (substringFavoritName ==sucheF8)
	{
		ende = document.cookie.indexOf(";", i+9)
		ende = (ende>-1) ? ende : document.cookie.length
		Favorit8= document.cookie.substring(i+9, ende)// Inhalt des Suchstrings
	}
	if (substringFavoritName ==sucheF9)
	{
		ende = document.cookie.indexOf(";", i+9)
		ende = (ende>-1) ? ende : document.cookie.length
		Favorit9= document.cookie.substring(i+9, ende)// Inhalt des Suchstrings
	}



var substringTitelName = document.cookie.substring(i, i+7);
	
	if (substringTitelName ==sucheT1)
	{
		ende = document.cookie.indexOf(";", i+7)
		ende = (ende>-1) ? ende : document.cookie.length
		Titel1= document.cookie.substring(i+7, ende)
	}

	if (substringTitelName ==sucheT2)
	{
		ende = document.cookie.indexOf(";", i+7)
		ende = (ende>-1) ? ende : document.cookie.length
		Titel2= document.cookie.substring(i+7, ende)
	}
	if (substringTitelName ==sucheT3)
	{
		ende = document.cookie.indexOf(";", i+7)
		ende = (ende>-1) ? ende : document.cookie.length
		Titel3= document.cookie.substring(i+7, ende)
	}
	if (substringTitelName ==sucheT4)
	{
		ende = document.cookie.indexOf(";", i+7)
		ende = (ende>-1) ? ende : document.cookie.length
		Titel4= document.cookie.substring(i+7, ende)
	}
if (substringTitelName ==sucheT5)
	{
		ende = document.cookie.indexOf(";", i+7)
		ende = (ende>-1) ? ende : document.cookie.length
		Titel5= document.cookie.substring(i+7, ende)
	}
if (substringTitelName ==sucheT6)
	{
		ende = document.cookie.indexOf(";", i+7)
		ende = (ende>-1) ? ende : document.cookie.length
		Titel6= document.cookie.substring(i+7, ende)
	}
if (substringTitelName ==sucheT7)
	{
		ende = document.cookie.indexOf(";", i+7)
		ende = (ende>-1) ? ende : document.cookie.length
		Titel7= document.cookie.substring(i+7, ende)
	}

	if (substringTitelName ==sucheT8)
	{
		ende = document.cookie.indexOf(";", i+7)
		ende = (ende>-1) ? ende : document.cookie.length
		Titel8= document.cookie.substring(i+7, ende)
	}
if (substringTitelName ==sucheT9)
	{
		ende = document.cookie.indexOf(";", i+7)
		ende = (ende>-1) ? ende : document.cookie.length
		Titel9= document.cookie.substring(i+7, ende)
	}

	
	
	
i++
}


if (Titel1 != "") {document.write(Titel1.link(Favorit1));}
if (Titel2 != "") {document.write(Titel2.link(Favorit2));}
if (Titel3 != "") {document.write(Titel3.link(Favorit3));}
if (Titel4 != "") {document.write(Titel4.link(Favorit4));}
if (Titel5 != "") {document.write(Titel5.link(Favorit5));}
if (Titel6 != "") {document.write(Titel6.link(Favorit6));}
if (Titel7 != "") {document.write(Titel7.link(Favorit7));}
if (Titel8 != "") {document.write(Titel8.link(Favorit8));}
if (Titel9 != "") {document.write(Titel9.link(Favorit9));}

//alert("Ende Favoriten");


}


/*
======================================================================================
Funktion:         getFavoritecookie(number)
in Datei:         help.js
Beschreibung:     Diese Funktion ließt die URL und den Titel zu dem Favoriten(number) aus dem cookie
und schreibt diesen als Link (Url als src, Titel als Bezeichner) als Tag an die Stelle im html doc, die diese Funktion aufruft.
Parameter:        - number / welcher Favorit 1 -bis 10 gelesen werden soll als string
Returnwert:       -
Ersterstellung:   /2007 - RThe
Letzte Änderung:  2015 - RThe Laufzeitoptimierung
======================================================================================
*/


function getFavoriteCookie(number)
{
var i=0  //Suchposition im Cookie
var Favorit =""
var Titel =""
var i = 0
var ende

// Anzeige der Favoriten Links auf der Seite.

switch(number) {
case "1":  // Wenn nach dem ersten Favoriten gesucht wird



i=0  //Suchposition im Cookie
suche = "Favorit1="  //Suchstring
suche2 = "Titel1="
while (i<document.cookie.length)
{
	if (document.cookie.substring(i, i+suche.length)==suche)
	{
		ende = document.cookie.indexOf(";", i+suche.length)
		ende = (ende>-1) ? ende : document.cookie.length
		Favorit= document.cookie.substring(i+suche.length, ende)// Inhalt des Suchstrings
	}
	if (document.cookie.substring(i, i+suche2 .length)==suche2 )
	{
		ende = document.cookie.indexOf(";", i+suche2.length)
		ende = (ende>-1) ? ende : document.cookie.length
		Titel= document.cookie.substring(i+suche2.length, ende)
	}

	i++
}
if (Titel != "") { // Wenn ein Titelstring gefunden wurde, wird jetzt der Tag für den Favoriten-Link ins html doc geschrieben.
document.write(Titel.link(Favorit)); // Erzeugt den Link mit Namen Link1

}
break;






case "2":
i=0  //Suchposition im Cookie
suche = "Favorit2="
suche2 = "Titel2="
while (i<document.cookie.length)
{
	if (document.cookie.substring(i, i+suche.length)==suche)
	{
		ende = document.cookie.indexOf(";", i+suche.length)
		ende = (ende>-1) ? ende : document.cookie.length
		Favorit= document.cookie.substring(i+suche.length, ende)
	}
	
	if (document.cookie.substring(i, i+suche2 .length)==suche2 )
	{
		ende = document.cookie.indexOf(";", i+suche2.length)
		ende = (ende>-1) ? ende : document.cookie.length
		Titel= document.cookie.substring(i+suche2.length, ende)
	}

	i++
}

if (Titel != "") {
document.write(Titel.link(Favorit)); // Erzeugt den Link mit Namen Link1
}
break;

case "3":
i=0  //Suchposition im Cookie
suche = "Favorit3="
suche2 = "Titel3="

while (i<document.cookie.length)
{
	if (document.cookie.substring(i, i+suche.length)==suche)
	{
		ende = document.cookie.indexOf(";", i+suche.length)
		ende = (ende>-1) ? ende : document.cookie.length
		Favorit= document.cookie.substring(i+suche.length, ende)
	}
	
	if (document.cookie.substring(i, i+suche2 .length)==suche2 )
	{
		ende = document.cookie.indexOf(";", i+suche2.length)
		ende = (ende>-1) ? ende : document.cookie.length
		Titel= document.cookie.substring(i+suche2.length, ende)
	}

	i++
}

if (Titel != "") {
document.write(Titel.link(Favorit)); // Erzeugt den Link mit Namen Link1
}
break;

case "4":
i=0  //Suchposition im Cookie
suche = "Favorit4="
suche2 = "Titel4="


while (i<document.cookie.length)
{
	if (document.cookie.substring(i, i+suche.length)==suche)
	{
		ende = document.cookie.indexOf(";", i+suche.length)
		ende = (ende>-1) ? ende : document.cookie.length
		Favorit= document.cookie.substring(i+suche.length, ende)
	}
	
	if (document.cookie.substring(i, i+suche2 .length)==suche2 )
	{
		ende = document.cookie.indexOf(";", i+suche2.length)
		ende = (ende>-1) ? ende : document.cookie.length
		Titel= document.cookie.substring(i+suche2.length, ende)
	}

	i++
}


if (Titel != "") {
document.write(Titel.link(Favorit)); // Erzeugt den Link mit Namen Link1
}
break;

case "5":
i=0  //Suchposition im Cookie
suche = "Favorit5="
suche2 = "Titel5="

while (i<document.cookie.length)
{
	if (document.cookie.substring(i, i+suche.length)==suche)
	{
		ende = document.cookie.indexOf(";", i+suche.length)
		ende = (ende>-1) ? ende : document.cookie.length
		Favorit= document.cookie.substring(i+suche.length, ende)
	}
	
	if (document.cookie.substring(i, i+suche2 .length)==suche2 )
	{
		ende = document.cookie.indexOf(";", i+suche2.length)
		ende = (ende>-1) ? ende : document.cookie.length
		Titel= document.cookie.substring(i+suche2.length, ende)
	}

	i++
}



if (Titel != "") {
document.write(Titel.link(Favorit)); // Erzeugt den Link mit Namen Link1
}
break;

case "6":
i=0  //Suchposition im Cookie
suche = "Favorit6="
suche2 = "Titel6="

while (i<document.cookie.length)
{
	if (document.cookie.substring(i, i+suche.length)==suche)
	{
		ende = document.cookie.indexOf(";", i+suche.length)
		ende = (ende>-1) ? ende : document.cookie.length
		Favorit= document.cookie.substring(i+suche.length, ende)
	}
	
	if (document.cookie.substring(i, i+suche2 .length)==suche2 )
	{
		ende = document.cookie.indexOf(";", i+suche2.length)
		ende = (ende>-1) ? ende : document.cookie.length
		Titel= document.cookie.substring(i+suche2.length, ende)
	}

	i++
}



if (Titel != "") {
document.write(Titel.link(Favorit)); // Erzeugt den Link mit Namen Link1
}
break;


case "7":
i=0  //Suchposition im Cookie
suche = "Favorit7="
suche2 = "Titel7="


while (i<document.cookie.length)
{
	if (document.cookie.substring(i, i+suche.length)==suche)
	{
		ende = document.cookie.indexOf(";", i+suche.length)
		ende = (ende>-1) ? ende : document.cookie.length
		Favorit= document.cookie.substring(i+suche.length, ende)
	}
	
	if (document.cookie.substring(i, i+suche2 .length)==suche2 )
	{
		ende = document.cookie.indexOf(";", i+suche2.length)
		ende = (ende>-1) ? ende : document.cookie.length
		Titel= document.cookie.substring(i+suche2.length, ende)
	}

	i++
}


if (Titel != "") {
document.write(Titel.link(Favorit)); // Erzeugt den Link mit Namen Link1
}

break;

case "8":
i=0  //Suchposition im Cookie
suche = "Favorit8="
suche2 = "Titel8="


while (i<document.cookie.length)
{
	if (document.cookie.substring(i, i+suche.length)==suche)
	{
		ende = document.cookie.indexOf(";", i+suche.length)
		ende = (ende>-1) ? ende : document.cookie.length
		Favorit= document.cookie.substring(i+suche.length, ende)
	}
	
	if (document.cookie.substring(i, i+suche2 .length)==suche2 )
	{
		ende = document.cookie.indexOf(";", i+suche2.length)
		ende = (ende>-1) ? ende : document.cookie.length
		Titel= document.cookie.substring(i+suche2.length, ende)
	}

	i++
}




if (Titel != "") {
document.write(Titel.link(Favorit)); // Erzeugt den Link mit Namen Link1
}
break;

case "9":
i=0  //Suchposition im Cookie
suche = "Favorit9="
suche2 = "Titel9="


while (i<document.cookie.length)
{
	if (document.cookie.substring(i, i+suche.length)==suche)
	{
		ende = document.cookie.indexOf(";", i+suche.length)
		ende = (ende>-1) ? ende : document.cookie.length
		Favorit= document.cookie.substring(i+suche.length, ende)
	}
	
	if (document.cookie.substring(i, i+suche2 .length)==suche2 )
	{
		ende = document.cookie.indexOf(";", i+suche2.length)
		ende = (ende>-1) ? ende : document.cookie.length
		Titel= document.cookie.substring(i+suche2.length, ende)
	}

	i++
}



if (Titel != "") {
document.write(Titel.link(Favorit)); // Erzeugt den Link mit Namen Link1
}
break;



default:



}

}


/*
======================================================================================
Funktion:         PageReload()
in Datei:         help.js
Beschreibung:     Aktualisiern der aktuellen html Seite

Parameter:        -
Returnwert:       -
Ersterstellung:   /2014 - RThe
Letzte Änderung:  -
======================================================================================
*/
function PageReload()
{

location.reload();  // = Aktualisieren im IExplorer
}

/*
======================================================================================
Funktion:         PageReload()
in Datei:         help.js
Beschreibung:     Aktualisiern der aktuellen html Seite

Parameter:        object
Returnwert:       -
Ersterstellung:   /2014 - RThe
Letzte Änderung:  -
======================================================================================
*/
function IFrameReload(id)
{
document.getElementById(id).src=document.getElementById(id).src;
}


/* ENDE */
